### Property

# Snapd SystemInformation:confinement

#### Declaration

    property confinement: Snapd.SystemConfinement [ read, write, construct-only ]

#### Description

No description available.

Type:`SnapdSystemConfinement`

Default value | SNAPD_SYSTEM_CONFINEMENT_UNKNOWN
Getter method | `snapd_system_information_get_confinement()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes